<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AnalysisUIOptions">
    <option name="ANALYZE_INJECTED_CODE" value="false" />
    <option name="SCOPE_TYPE" value="3" />
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="9f251ebf-45a1-4c0b-8e8b-b8f0712eb973" name="Changes" comment="sync">
      <change afterPath="$PROJECT_DIR$/s_r.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/swdata.iml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/swdata.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/vcs.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/calc_reward3.py" beforeDir="false" afterPath="$PROJECT_DIR$/calc_reward3.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/calc_survivals.py" beforeDir="false" afterPath="$PROJECT_DIR$/calc_survivals.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/gen_neighborhood_new.py" beforeDir="false" afterPath="$PROJECT_DIR$/gen_neighborhood_new.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CRAW_NEW_BA.json" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CRAW_NEW_BA.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CRAW_NEW_WS.json" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CRAW_NEW_WS.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CR_G1142.csv" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CR_G1142.csv" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CR_G1156.csv" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CR_G1156.csv" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CR_G1162.csv" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CR_G1162.csv" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CR_G646.csv" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CR_G646.csv" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CR_G903.csv" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CR_G903.csv" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CR_G975.csv" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CR_G975.csv" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CR_NEW_BA.csv" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CR_NEW_BA.csv" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/CR_NEW_WS.csv" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/CR_NEW_WS.csv" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/THETA_new_detail.json" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/THETA_new_detail.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/neighborhood_new.json" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/neighborhood_new.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/outputs/survivals_new.json" beforeDir="false" afterPath="$PROJECT_DIR$/outputs/survivals_new.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/theta_r.py" beforeDir="false" afterPath="$PROJECT_DIR$/theta_r.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/winners.json" beforeDir="false" afterPath="$PROJECT_DIR$/winners.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/wos-award/part2/history.py" beforeDir="false" afterPath="$PROJECT_DIR$/wos-award/part2/history.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/wos-award/q.sh" beforeDir="false" afterPath="$PROJECT_DIR$/wos-award/q.sh" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="true" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ChangesViewManager" show_ignored="true">
    <option name="groupingKeys">
      <option value="directory" />
    </option>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FlaskConsoleOptions" custom-start-script="import sys&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;from flask.cli import ScriptInfo&#10;locals().update(ScriptInfo(create_app=None).load_app().make_shell_context())&#10;print(&quot;Python %s on %s\nApp: %s [%s]\nInstance: %s&quot; % (sys.version, sys.platform, app.import_name, app.env, app.instance_path))">
    <envs>
      <env key="FLASK_APP" value="app" />
    </envs>
    <option name="myCustomStartScript" value="import sys&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;from flask.cli import ScriptInfo&#10;locals().update(ScriptInfo(create_app=None).load_app().make_shell_context())&#10;print(&quot;Python %s on %s\nApp: %s [%s]\nInstance: %s&quot; % (sys.version, sys.platform, app.import_name, app.env, app.instance_path))" />
    <option name="myEnvs">
      <map>
        <entry key="FLASK_APP" value="app" />
      </map>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="PUSH_AUTO_UPDATE" value="true" />
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="UPDATE_TYPE" value="REBASE" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectId" id="2LE0Qy9qz1h8d0jphuRbDZcVCRo" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "ASKED_ADD_EXTERNAL_FILES": "true",
    "Notification.DisplayName-DoNotAsk-File Watcher Messages": "检测到文件系统同步问题",
    "Notification.DoNotAsk-File Watcher Messages": "true",
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "WebServerToolWindowFactoryState": "false",
    "ignore.virus.scanning.warn.message": "true",
    "last_opened_file_path": "D:/code/swdata/wos-data-2022-12-16",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "run.code.analysis.last.selected.profile": "aDefault",
    "settings.editor.selected.configurable": "ssh.settings",
    "vue.rearranger.settings.migration": "true"
  },
  "keyToStringList": {
    "GitStage.ChangesTree.GroupingKeys": [
      "directory",
      "module",
      "repository"
    ]
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\code\swdata\wos-data-2022-12-16" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="\\10.80.15.2\smb\python\swdata\wos-data-2022-pd" />
      <recent name="\\10.80.15.2\smb\python\swdata\wos-data-2022-sd" />
    </key>
  </component>
  <component name="RunManager" selected="Python.history">
    <configuration default="true" type="PythonConfigurationType" factoryName="Python">
      <module name="swdata" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="true" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="calc_reward3" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="swdata" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/calc_reward3.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="true" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="gen_neighborhood_new" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="swdata" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/gen_neighborhood_new.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="true" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="history" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="swdata" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/wos-data-2022-12-16" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/wos-data-2022-12-16/history.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="true" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="s_r" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="swdata" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/s_r.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="true" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="t" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="swdata" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/t.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="true" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Python.calc_reward3" />
      <item itemvalue="Python.history" />
      <item itemvalue="Python.t" />
      <item itemvalue="Python.gen_neighborhood_new" />
      <item itemvalue="Python.s_r" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Python.history" />
        <item itemvalue="Python.t" />
        <item itemvalue="Python.calc_reward3" />
        <item itemvalue="Python.s_r" />
        <item itemvalue="Python.gen_neighborhood_new" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration">
    <configuration>C:\Users\wjs\AppData\Roaming\Subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <created>1675420922555</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1675420922555</updated>
      <workItem from="1675420924138" duration="2000" />
      <workItem from="1675420987807" duration="2000" />
      <workItem from="1675421088572" duration="2433000" />
      <workItem from="1676030062387" duration="489000" />
      <workItem from="1676032233971" duration="183000" />
      <workItem from="1676033037926" duration="2000" />
      <workItem from="1676046566305" duration="4131000" />
      <workItem from="1676906141902" duration="107000" />
      <workItem from="1676906257776" duration="155000" />
      <workItem from="1676906477224" duration="543000" />
      <workItem from="1676907026987" duration="2000" />
      <workItem from="1676907060187" duration="1498000" />
      <workItem from="1677593734700" duration="2920000" />
      <workItem from="1677596708403" duration="5000" />
      <workItem from="1677596806445" duration="504000" />
      <workItem from="1677597386015" duration="1323000" />
      <workItem from="1677598722786" duration="226000" />
      <workItem from="1677598983357" duration="1121000" />
      <workItem from="1677680449892" duration="2390000" />
      <workItem from="1677683534841" duration="928000" />
      <workItem from="1678607947994" duration="6650000" />
      <workItem from="1678885054861" duration="860000" />
    </task>
    <task id="LOCAL-00001" summary="sync">
      <created>1677599568974</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1677599568974</updated>
    </task>
    <option name="localTasksCounter" value="2" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ID_ORDER">
      <list>
        <option value="Default.Root" />
        <option value="Default.Subject" />
        <option value="Default.Author" />
        <option value="Default.Date" />
        <option value="Space.CommitStatus" />
      </list>
    </option>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="master" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Changes" />
    <MESSAGE value="sync" />
    <option name="LAST_COMMIT_MESSAGE" value="sync" />
  </component>
</project>